<template>
    <div class="row items-center all-pointer-events">
        <q-icon :name="icon" class="q-mr-xs"/>
        {{ label }}
        <q-tooltip content-class="bg-grey-8" anchor="top left" self="bottom left" :offset="[0, 8]">
            {{ tooltip }}
        </q-tooltip>
    </div>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';


@Component
export default class LabelSlot extends Vue {
    @Prop() icon!: string;
    @Prop() label!: string;
    @Prop() tooltip!: string;

}
</script>
